## EmpathyPresence

EmpathyPresence

## Synopsis

                        EmpathyPresence;
    EmpathyPresence*    empathy_presence_new                (void);
    EmpathyPresence*    empathy_presence_new_full           (McPresence state,
                                                             const gchar *status);
    McPresence          empathy_presence_get_state          (EmpathyPresence *presence);
    const gchar*        empathy_presence_get_status         (EmpathyPresence *presence);
    void                empathy_presence_set_state          (EmpathyPresence *presence,
                                                             McPresence state);
    void                empathy_presence_set_status         (EmpathyPresence *presence,
                                                             const gchar *status);
    gint                empathy_presence_sort_func          (gconstpointer a,
                                                             gconstpointer b);
    const gchar*        empathy_presence_state_get_default_status
                                                            (McPresence state);
    const gchar*        empathy_presence_state_to_str       (McPresence state);
    McPresence          empathy_presence_state_from_str     (const gchar *str);

## Object Hierarchy

      GObject
       +----EmpathyPresence

## Properties

      "state"                    McPresence            : Read / Write
      "status"                   gchararray            : Read / Write

## Description

## Details

### EmpathyPresence

    typedef struct _EmpathyPresence EmpathyPresence;

### empathy_presence_new ()

    EmpathyPresence*    empathy_presence_new                (void);

Returns : |

### empathy_presence_new_full ()

    EmpathyPresence*    empathy_presence_new_full           (McPresence state,
                                                             const gchar *status);

`state` : |
`status` : |
Returns : |

### empathy_presence_get_state ()

    McPresence          empathy_presence_get_state          (EmpathyPresence *presence);

`presence` : |
Returns : |

### empathy_presence_get_status ()

    const gchar*        empathy_presence_get_status         (EmpathyPresence *presence);

`presence` : |
Returns : |

### empathy_presence_set_state ()

    void                empathy_presence_set_state          (EmpathyPresence *presence,
                                                             McPresence state);

`presence` : |
`state` : |

### empathy_presence_set_status ()

    void                empathy_presence_set_status         (EmpathyPresence *presence,
                                                             const gchar *status);

`presence` : |
`status` : |

### empathy_presence_sort_func ()

    gint                empathy_presence_sort_func          (gconstpointer a,
                                                             gconstpointer b);

`a` : |
`b` : |
Returns : |

### empathy_presence_state_get_default_status ()

    const gchar*        empathy_presence_state_get_default_status
                                                            (McPresence state);

`state` : |
Returns : |

### empathy_presence_state_to_str ()

    const gchar*        empathy_presence_state_to_str       (McPresence state);

`state` : |
Returns : |

### empathy_presence_state_from_str ()

    McPresence          empathy_presence_state_from_str     (const gchar *str);

`str` : |
Returns : |

## Property Details

### The "`state`" property

      "state"                    McPresence            : Read / Write

The current state of the presence.

Default value: MC_PRESENCE_AVAILABLE

### The "`status`" property

      "status"                   gchararray            : Read / Write

Status string set on presence.

Default value: NULL